## org.w3c.tools.resources
Class DateAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.LongAttribute
                  |
                  +--org.w3c.tools.resources.DateAttribute

public class DateAttribute
extends LongAttribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`DateAttribute(java.lang.String name, java.lang.Object def, int flags)`

Methods inherited from class org.w3c.tools.resources.LongAttribute
`checkValue, getPickleLength, pickle, unpickle`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateAttribute

    public DateAttribute(java.lang.String name,
                         java.lang.Object def,
                         int flags)